package com.sinosig.core.module2.service;

import java.sql.Timestamp;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import java.math.BigInteger;

import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import com.sinosig.core.module2.domain.YDJJDC;
import com.sinosig.core.module2.filter.YDJJDCSearchContext;

/**
 * 实体[YDJJDC] 服务对象接口
 */

public interface IYDJJDCService{
     boolean remove(String ydjjdcid) ;
     boolean update(YDJJDC ydjjdc) ;
     YDJJDC getDraft(YDJJDC ydjjdc) ;
     boolean create(YDJJDC ydjjdc) ;
     boolean save(YDJJDC ydjjdc) ;
     boolean checkKey(YDJJDC ydjjdc) ;
     YDJJDC get(String ydjjdcid) ;
     YDJJDC get(YDJJDC ydjjdc) ;

    /**
     * 查询集合 DEFAULT
     */
     Page<YDJJDC> searchDefault(YDJJDCSearchContext context) ;

}
